#!/bin/bash
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2021 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

if [[ -f /etc/systemd/system/clwpos_monitoring.service || -f /etc/rc.d/init.d/clwpos_monitoring ]]; then
    # Because of `systemctl restart` must keep redises alive, there is new stop method
    # to stop the daemon AND redises
    /usr/bin/clwpos-daemon stop --graceful
    /sbin/service clwpos_monitoring restart
fi

exit 0
