#!/bin/bash
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2021 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

if [[ -f /etc/systemd/system/clwpos_monitoring.service || -f /etc/rc.d/init.d/clwpos_monitoring ]]; then
    # Because %posttrans runs at the end, clwpos_monitoring unit file is not created in this stage first time installation.
    # Check /etc/systemd/system/clwpos_monitoring.service before restarting daemon.
    # Restart WPOS daemon
    /sbin/service clwpos_monitoring try-restart
fi

exit 0
